package tech.riemann.ims.dto.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tech.riemann.ims.entity.material.ApplyDetail;
import tech.riemann.ims.entity.material.ApplyForm;
import tech.riemann.ims.entity.material.MaterialStockDetail;

import java.util.List;

/**
 * @author mayong
 * @since 2024/11/28 16:20
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ApplyInfo {

    @Schema(description = "申请单")
    private ApplyForm applyForm;

    @Schema(description = "申请单明细")
    private List<ApplyDetail> applyDetails;

    @Schema(description = "扫码的条码集合")
    private List<MaterialStockDetail>  detailList;

}
