package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 10:09
 */
@Getter
@AllArgsConstructor
public enum HandleEnum implements ICodeBook {

    INBOUND("1", "入库+1"),
    OUTBOUND("2", "不入库-1"),
    DISCARD("3", "丢弃-1"),
    ;

    @EnumValue
    final String code;
    final String description;
}
