package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/7 10:10
 */
@Getter
@AllArgsConstructor
public enum ReviewResultEnum implements ICodeBook {

    WAIT_SCAN("1", "待扫码"),
    WAIT_SUBMIT("2", "待提交"),
    WAIT_REVIEW("3", "待审核"),
    PASS("4", "审核通过"),
    REJECT("5", "退回")
    ;

    @EnumValue
    final String code;
    final String description;

}
