package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 9:34
 */
@Getter
@AllArgsConstructor
public enum StockStatusEnum implements ICodeBook {

    IN("0", "在库"),
    OUT("1", "外借"),
    OFF("2", "下架"),
    LOST("3", "丢失"),

    ;

    @EnumValue
    final String code;
    final String description;
}
