package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/8 11:18
 */
@Getter
@AllArgsConstructor
public enum StocktakingExceptonalStatusEnum implements ICodeBook {

    SOCK_IN_BUT_SCAN_NOT_EXIST("1", "库房在库状态但是扫码不存在"),
    SOCK_OUT_BUT_SCAN_EXIST("2", "库房不是在库状态但是扫码存在"),
    SOCK_NOT_EXIST_BUT_SCAN_EXIST("3", "库房不存在该条码但是扫码存在"),

    ;

    @EnumValue
    final String code;
    final String description;
}
