package tech.riemann.ims.service.material.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;
import tech.riemann.ims.entity.material.ApplyDetail;
import tech.riemann.ims.mapper.material.ApplyDetailMapper;
import tech.riemann.ims.service.material.IApplyDetailService;

/**
 * @author mayong
 * @since 2024/11/28 15:36
 */
@Service
@RequiredArgsConstructor
public class ApplyDetailServiceImpl extends ServiceImpl<ApplyDetailMapper, ApplyDetail> implements IApplyDetailService {

    private final Dao dao;

    @Override
    public Dao dao() {
        return dao;
    }
}
