package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 9:26
 */
@Getter
@AllArgsConstructor
public enum ApplyTypeEnum implements ICodeBook {

    PURCHASE_RECEIPT("1", "采购入库申请"),
    RETURN_RECEIPT("2", "归还入库申请"),
    LOAN_OUT("3", "外借出库申请"),
    AUDIT("4", "盘点申请"),
    ;

    @EnumValue
    final String code;
    final String description;
}
