package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 9:15
 */
@Getter
@AllArgsConstructor
public enum AssignRuleEnum implements ICodeBook {
    LOW_VALUE("2", "低值易耗品（不参与赋码）"),
    HIGH_VALUE("1", "高价值工具类（参与唯一赋码）");

    @EnumValue
    final String code;
    final String description;
}
