package tech.riemann.ims.service.material.impl;

import tech.riemann.ims.entity.material.StocktakingScanExceptionalData;
import tech.riemann.ims.mapper.material.StocktakingScanExceptionalDataMapper;
import tech.riemann.ims.service.material.IStocktakingScanExceptionalDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 扫码盘点异常数据表 服务实现类
 * </p>
 *
 * @author mayong)
 *
 * @since 2024-12-08 11:49:52
 */
@Service
@RequiredArgsConstructor
public class StocktakingScanExceptionalDataServiceImpl extends ServiceImpl<StocktakingScanExceptionalDataMapper, StocktakingScanExceptionalData> implements IStocktakingScanExceptionalDataService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<StocktakingScanExceptionalData> getEntityType() {
        return StocktakingScanExceptionalData.class;
    }
}
